Bug 92302 - [WebGL] GraphicsContext3D::readPixels has extraneous code from GraphicsContext3D::readPixelsIMG
Summary: [WebGL] GraphicsContext3D::readPixels has extraneous code from GraphicsContex...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-25 14:28 PDT by Joshua Netterfield
Modified: 2013-05-20 06:37 PDT (History)
2 users (show)

See Also:


Attachments
Patch (4.71 KB, patch)
2012-07-25 16:49 PDT, Joshua Netterfield
no flags Details | Formatted Diff | Diff
Patch (4.79 KB, patch)
2012-07-25 17:27 PDT, Joshua Netterfield
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joshua Netterfield 2012-07-25 14:28:22 PDT
This causes readPixels to be limited to the size of the canvas and slows readPixels down.
Comment 1 Joshua Netterfield 2012-07-25 16:49:25 PDT
Created attachment 154486 [details]
Patch
Comment 2 Noam Rosenthal 2012-07-25 16:55:52 PDT
Comment on attachment 154486 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=154486&action=review

> Source/WebCore/ChangeLog:10
> +
> +        No new tests, because it introduces no new functionality, but it makes the WebGL aquarium demo
> +        run quite a bit smoother on SGX :)
> +

This seems to affect more than the BB port, please explain what this patch actually does.
Comment 3 Joshua Netterfield 2012-07-25 16:59:32 PDT
This code was added by mistake in https://bugs.webkit.org/show_bug.cgi?id=90567
Comment 4 Noam Rosenthal 2012-07-25 17:01:26 PDT
(In reply to comment #3)
> This code was added by mistake in https://bugs.webkit.org/show_bug.cgi?id=90567

Ah, Ok. Might be worthwhile to mention this in the Changelog.
Comment 5 Joshua Netterfield 2012-07-25 17:27:06 PDT
Created attachment 154501 [details]
Patch
Comment 6 WebKit Review Bot 2012-07-26 07:54:44 PDT
Comment on attachment 154501 [details]
Patch

Clearing flags on attachment: 154501

Committed r123745: <http://trac.webkit.org/changeset/123745>
Comment 7 WebKit Review Bot 2012-07-26 07:54:47 PDT
All reviewed patches have been landed.  Closing bug.